﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 54540 Series (1 yr) VER IEEE /5820+5ch
DATE:                  2017-03-29 12:38:32
AUTHOR:                Fluke
REVISION:              $Revision: 19016 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       197
CONFIGURATION:         Fluke 5820A (C5)
=============================================================================
#
#  Procedure Author:  DAC, DFM, ZY
#
#  Model(s) Covered:  54540A, 54542A, 54540C, 54542C
#
#  Source(s):         HP 54520 and 54540 Series Oscilloscopes Service Guide,
#                     Part No. 54542-97011, 2nd Edition, November 1993
#
#                     HP 54520C and 54540C Series Oscilloscopes Service Guide,
#                     Part No. 54542-97044, 1st Edition, October 1995
#
#  Compatibility:     MET/CAL 7.20 SP1 (7.20x) or later
#
#  Additional Equipment Required:
#                     BNC tee, (f)-(f)-(f)
#                     2 ea., 1 m BNC patch cables
#                     Formatted, blank floppy disk
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statement are included to force the main procedure header
# to represent the configuration required by the subprocedures.
  1.001  IF           0
  1.002  M5820                                                    C2
  1.003  5820         *                                                 S
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  MATH         @ReqMetCalVersion = "7.20x"
  1.008  CALL         Sub MET/CAL Version Check

  1.009  IF           NOT(@MetCalVersionOK)
  1.010  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x)
  1.010  DISP         or later.
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright
  1.014  CALL         Sub High Voltage Safety Warning
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method (No NTHROW)

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  DISP         Ensure a minimum UUT warm-up time of at least
  1.018  DISP         30 minutes has been allowed to elapse, prior
  1.018  DISP         to beginning verification.

  1.019  HEAD         EQUIPMENT REQUIREMENTS
  1.020  OPBR         -z Do you want to REVIEW the list of additional
  1.020  OPBR         equipment and/or accessories required?

  1.021  IF           MEM1
  1.022  DISP         The following additional equipment and/or
  1.022  DISP         accessories are required:
  1.022  DISP
  1.022  DISP         - Tee, 50 Ohm, BNC(f)-(f)-(f), Pomona Model 3284
  1.022  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36, 2 ea.
  1.022  DISP         - Adapter, BNC(f) to double-banana(m), Pomona Model 1269
  1.022  DISP         - Formatted, blank floppy disk
  1.023  ENDIF

  1.024  DISP         Connect the UUT to IEEE-488 port 1 and turn it on.

  1.025  IEEE         *RST

  1.026  MATH         @UUT_Manufacturer = "Hewlett-Packard"
  1.027  MATH         @UUT_AssetNum     = UUT()

  1.028  IF           NOT(EMPTY(@UUT_AssetNum))
  1.029  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.030  ENDIF

  1.031  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.032  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.033  IF           @Abort
  1.034  END
  1.035  ENDIF

  1.036  MATH         @4ChUUT = 1
  1.037  CALL         Sub HP 545xx Self-test IEEE
  1.038  JMPL         END                 @Abort

  1.039  PIC          hp545xx_dc_cal_5820.jpg
  1.040  M5820                                                    C1
  1.041  CALL         Sub HP 545xx (1 yr) DC Calibrator IEEE /5820

  1.042  PIC          hp5454x_ch1_ch2_ch3_ch4_aux_58xx
  1.043  MATH         @Chan = 1
  1.044  M5820                                                    C1
  1.045  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /5800
  1.046  MATH         @Chan = 2
  1.047  M5820                                                    C2
  1.048  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /5800
  1.049  MATH         @Chan = 3
  1.050  M5820                                                    C3
  1.051  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /5800
  1.052  MATH         @Chan = 4
  1.053  M5820                                                    C4
  1.054  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /5800

  1.055  MATH         @Chan = 1
  1.056  M5820                                                    C1
  1.057  CALL         Sub HP 545xx (1 yr) DCV IEEE /5800
  1.058  MATH         @Chan = 2
  1.059  M5820                                                    C2
  1.060  CALL         Sub HP 545xx (1 yr) DCV IEEE /5800
  1.061  MATH         @Chan = 3
  1.062  M5820                                                    C3
  1.063  CALL         Sub HP 545xx (1 yr) DCV IEEE /5800
  1.064  MATH         @Chan = 4
  1.065  CALL         Sub HP 545xx (1 yr) DCV IEEE /5800

  1.066  MATH         @Chan = 1
  1.067  M5820                                                    C1
  1.068  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /5800
  1.069  MATH         @Chan = 2
  1.070  M5820                                                    C2
  1.071  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /5800
  1.072  MATH         @Chan = 3
  1.073  M5820                                                    C3
  1.074  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /5800
  1.075  MATH         @Chan = 4
  1.076  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /5800

  1.077  MATH         @Chan = 1
  1.078  M5820                                                    C1
  1.079  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /5800
  1.080  MATH         @Chan = 2
  1.081  M5820                                                    C2
  1.082  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /5800
  1.083  MATH         @Chan = 3
  1.084  M5820                                                    C3
  1.085  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /5800
  1.086  MATH         @Chan = 4
  1.087  M5820                                                    C4
  1.088  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /5800

  1.089  MATH         @Chan = 1
  1.090  M5820                                                    C1
  1.091  CALL         Sub HP 545xx (1 yr) Timebase IEEE /5800

  1.092  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /5800
  1.093  MATH         @Chan = 2
  1.094  M5820                                                    C2
  1.095  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /5800
  1.096  MATH         @Chan = 3
  1.097  M5820                                                    C3
  1.098  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /5800
  1.099  MATH         @Chan = 4
  1.100  M5820                                                    C4
  1.101  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /5800

  1.102  M5820                                                    C5
  1.103  CALL         Sub HP 545xx (1 yr) AUX Trigger IEEE /5800

  1.104  LABEL        END
  1.105  HEAD
  1.106  RSLT         =
  1.107  IEEE2        SYST:DSP "5452xA/C Verification Done"
  1.108  IEEE         [GTL]
  1.109  DISP         Remove all connections from the UUT.

  1.110  IF           @Abort
  1.111  DISP         {V E R I F I C A T I O N  A B O R T E D !}
  1.112  ELSE
  1.113  DISP         {V E R I F I C A T I O N  C O M P L E T E !}
  1.114  ENDIF

  1.115  END
